searchNodes=[{"ref":"TelemetryMetricsCloudwatch.html","title":"TelemetryMetricsCloudwatch","type":"module","doc":"This is a Amazon CloudWatch Reporter for Telemetry.Metrics definitions. Provide a list of metric definitions to the init/2 function. It&#39;s recommended to run TelemetryMetricsCloudwatch under a supervision tree, usually under Application. def start(_type, _args) do # List all child processes to be supervised children = [ {TelemetryMetricsCloudwatch, [metrics: metrics()]} ... ] opts = [strategy: :one_for_one, name: ExampleApp.Supervisor] Supervisor.start_link(children, opts) end defp metrics, do: [ counter(&quot;http.request.count&quot;), last_value(&quot;vm.memory.total&quot;, unit: :byte), last_value(&quot;vm.total_run_queue_lengths.total&quot;) ] end You can also provide options for the namespace used in CloudWatch (by default, &quot;Telemetry&quot;) and the minimum frequency (in milliseconds) with which data will be posted (see section below for posting rules). For instance: ... children = [ {TelemetryMetricsCloudwatch, metrics: metrics(), namespace: &quot;Backend&quot;, push_interval: 30_000} ] ... Telemetry.Metrics Types Supported TelemetryMetricsCloudwatch supports 3 of the Metrics: Counter: Counter metric keeps track of the total number of specific events emitted. LastValue: Last value keeps track of the selected measurement found in the most recent event. Summary: Summary aggregates measurement&#39;s values into statistics, e.g. minimum and maximum, mean, or percentiles. This sends every measurement to CloudWatch. These metrics are sent to CloudWatch based on the rules described below. When Data is Sent Cloudwatch has certain constraints on the number of metrics that can be sent up at any given time. TelemetryMetricsCloudwatch will send accumulated metric data at least every minute (configurable by the :push_interval option) or when the data cache has reached the maximum size that CloudWatch will accept. Units In order to report metrics in the CloudWatch UI, they must be one of the following values: Time units: :second, :microsecond, :millisecond Byte sizes: :byte, :kilobyte, :megabyte, :gigabyte, :terabyte Bit sizes: :bit, :kilobit, :megabit, :gigabit, :terabit For Telementry.Metrics.Counters, the unit will always be :count. Otherwise, the unit will be treated as nil. ExAws Setup ExAws is the library used to send metrics to CloudWatch. Make sure your keys are configured and that they have the correct permissions of cloudwatch:PutMetricData. Up to 10 tags are sent up to AWS as dimensions for a given metric."},{"ref":"TelemetryMetricsCloudwatch.html#child_spec/1","title":"TelemetryMetricsCloudwatch.child_spec/1","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"TelemetryMetricsCloudwatch.html#start_link/1","title":"TelemetryMetricsCloudwatch.start_link/1","type":"function","doc":"Start the TelemetryMetricsCloudwatchGenServer. Available options: :name - name of the reporter instance. :metrics - a list of Telemetry.Metrics to track. :namespace - Namespace to use in CloudWatch :push_interval - The minimum interval that metrics are guaranteed to be pushed to cloudwatch (in milliseconds)"},{"ref":"TelemetryMetricsCloudwatch.Cache.html","title":"TelemetryMetricsCloudwatch.Cache","type":"module","doc":"State for GenServer. Nothing here should be called directly outside of the TelemetryMetricsCloudwatch module."},{"ref":"TelemetryMetricsCloudwatch.Cache.html#max_values_per_metric/1","title":"TelemetryMetricsCloudwatch.Cache.max_values_per_metric/1","type":"function","doc":""},{"ref":"TelemetryMetricsCloudwatch.Cache.html#metric_count/1","title":"TelemetryMetricsCloudwatch.Cache.metric_count/1","type":"function","doc":""},{"ref":"TelemetryMetricsCloudwatch.Cache.html#pop_metrics/1","title":"TelemetryMetricsCloudwatch.Cache.pop_metrics/1","type":"function","doc":""},{"ref":"TelemetryMetricsCloudwatch.Cache.html#push_measurement/4","title":"TelemetryMetricsCloudwatch.Cache.push_measurement/4","type":"function","doc":""},{"ref":"TelemetryMetricsCloudwatch.Cache.html#validate_metrics/1","title":"TelemetryMetricsCloudwatch.Cache.validate_metrics/1","type":"function","doc":""},{"ref":"TelemetryMetricsCloudwatch.Cloudwatch.html","title":"TelemetryMetricsCloudwatch.Cloudwatch","type":"module","doc":"Functions for interacting with Amazon CloudWatch."},{"ref":"TelemetryMetricsCloudwatch.Cloudwatch.html#send_metrics/2","title":"TelemetryMetricsCloudwatch.Cloudwatch.send_metrics/2","type":"function","doc":""}]